import { style } from '@vanilla-extract/css'

import * as colors from '../../colors.css'

export const group = style({
	display:    'flex',
	fontFamily: 'monospace',
	fontSize:   '1.1em',
	lineHeight: '1.4em',
	whiteSpace: 'pre-wrap',
	tabSize:    4,
});

export const line_numbers = style({
	margin:       0,
	marginRight:  '0.5em',
	borderRight:  `1px solid ${colors.background2}`,
	paddingRight: '0.5em',
	color:        colors.foreground2,
});

export const content = style({
});

export const text = style({
	margin: 0,
});
